%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from %distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%global modname m2ext

# The pkgconfig bit in this spec file was taken from m2crypto.spec
# https://apps.fedoraproject.org/packages/m2crypto/sources/spec/

Name:           python-m2ext
Version:        0.1
Release:        17%{?dist}
Summary:        M2Crypto Extensions

Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/%{modname}
Source0:        http://pypi.python.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  openssl-devel
BuildRequires:  swig
BuildRequires:  pkgconfig
BuildRequires:  m2crypto

%filter_provides_in %{python_sitearch}/%{modname}/_m2ext.so
%filter_setup

%global _description\
This package contains some extended functions which are not (yet)\
available in M2Crypto http://chandlerproject.org/Projects/MeTooCrypto>\
trunk.

%description %_description

%package -n python2-m2ext
Summary: %summary
Requires:       m2crypto
%{?python_provide:%python_provide python2-m2ext}

%description -n python2-m2ext %_description

%prep
%setup -q -n %{modname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ; export CFLAGS
if pkg-config openssl ; then
    CFLAGS="$CFLAGS `pkg-config --cflags openssl`" ; export CFLAGS
    LDFLAGS="$LDFLAGS`pkg-config --libs-only-L openssl`" ; export LDFLAGS
fi

%{__python} setup.py build 

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

chmod 755 %{buildroot}/%{python_sitearch}/%{modname}/_m2ext.so


%files -n python2-m2ext
%doc README.rst LICENSE

%{python_sitearch}/%{modname}
%{python_sitearch}/%{modname}-%{version}*


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Sep 22 2017 Tomáš Mráz <tmraz@redhat.com> - 0.1-16
- Rebuilt against OpenSSL-1.1.0 as m2crypto starting with Fedora 28 links to it
  as well

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1-15
- Python 2 binary package renamed to python2-m2ext
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 14 2017 Patrick Uiterwijk <puiterwijk@redhat.com> - 0.1-12
- Link against OpenSSL 1.0 since m2crypto doesn't build with 1.1 yet

* Fri Jul 07 2017 Igor Gnatenko <ignatenko@redhat.com> - 0.1-11
- Rebuild due to bug in RPM (RHBZ #1468476)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 20 2012 Ralph Bean <rbean@redhat.com> - 0.1-1
- initial package for Fedora
